package cn.iocoder.yudao.module.pms.enums;

/**
 * @description: 附件 细分项
 * @author: ruiqi
 * @create: 2025-10-20
 **/
public enum AttachmentTypeEnum {
    EXTERNAL_RENTAL("EXTERNAL_RENTAL", "外租设备", 1),
    CONSTRUCTION_DESIGN("CONSTRUCTION_DESIGN", "工程设计", 2),
    GEOLOGICAL_DESIGN("GEOLOGICAL_DESIGN", "地质设计", 3),
    COMPLETION_REPORT("COMPLETION_REPORT", "完井报告", 4),
    MAINTENANCE_STANDARD("MAINTENANCE_STANDARD", "保养标准", 5);

    private String code;
    private String msg;
    private Integer num;

    AttachmentTypeEnum(String code, String msg, Integer num) {
        this.code = code;
        this.msg = msg;
        this.num = num;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public Integer getNum() {
        return num;
    }
}
